/// <reference types="react-scripts" />
import { ApplicationManager } from "@robotical/webapp-types/dist-types/types-package/application-manager";


// extend globalThis with a new property
declare global {
  interface Window {
    applicationManager: ApplicationManager;
    fadeColor: { r: number; g: number; b: number };
    maxSize: number;
  }
}

declare module '*.m4a' {
  const src: string;
  export default src;
}

declare module 'phaser' {
  interface Scene {
    controls: SimplePlatformerControls;
    startPosition: StartPosition;
    maze: MazePlugin;
  }
}